Subject: Re: bug#49670: [PATCH] gnu: gnome-maps: Unregister from DBus when asked to.

From: Leo Prikler <[email-masked]>
Date: Fri, 23 Jul 2021 12:51:43 +0200

Am Freitag, den 23.07.2021, 11:29 +0200 schrieb Ludovic Courtès:
> Hi Leo,
> 
> Leo Prikler <[email-masked]> skribis:
> 
> > Am Mittwoch, den 21.07.2021, 16:28 +0200 schrieb Ludovic Courtès:
> 
> [...]
> 
> > > > +++ b/gnu/packages/patches/gnome-maps-really-do-
> > > > unregister.patch
> > > > @@ -0,0 +1,13 @@
> > > > +Index: gnome-maps-3.36.7/src/application.js
> > > 
> > > Could you add a line at the top of this patch saying what it does
> > > along with a link to the merge request above?
> > It turns out a similar fix already exists upstream [1], so if we
> > decide
> > to backport that to 3.36 instead of bumping the package to 3.38, I
> > think we should pick the "official" one.
> 
> Even better.
> 
> > > Apart from that the two patches LGTM, especially if it allows me
> > > to
> > > use gnome-maps again.  :-)
> > Do "the two patches" refer to this one alone or also to the one
> > bumping
> > the package to 3.38?
> 
> Both, but I hadn’t realized there’s was an exclusive choice.

Well, the exclusive choice comes from the fact that the patch we would
have to add to 3.36 is already present in 3.38.1+.  So bumping to a
sufficiently recent gnome-maps "voids" the patch in that it is already
applied.

> > Again, I'm a little unsure what would be the preferred solution
> > here,
> > as either patch adds additional code that would probably need to be
> > reverted by Raghav in their GNOME 40 work.
> 
> I don’t know, I think it’s good to have short-term fixes anyway and
> it’s
> OK if they have to be undone when we eventually upgrade.  Your call!

I went with bumping to 3.38.  While I hope the test suite doesn't break
in 40 the same way it does here, there is a slim chance the phase I've
added needs to be kept.

Thanks